Index: coeffs/coeffs.h
===================================================================
--- coeffs/coeffs.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/coeffs.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -12,5 +12,5 @@
 /* for assume: */
 #include <reporter/reporter.h>
-#include <si_gmp.h>
+#include <coeffs/si_gmp.h>
 
 enum n_coeffType
Index: coeffs/ffields.cc
===================================================================
--- coeffs/ffields.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/ffields.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -9,10 +9,10 @@
 #include <misc/auxiliary.h>
 #include <string.h>
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 #include <misc/mylimits.h>
 #include <omalloc/omalloc.h>
 #include <reporter/reporter.h>
-#include "numbers.h"
-#include "ffields.h"
+#include <coeffs/numbers.h>
+#include <coeffs/ffields.h>
 #include <resources/feFopen.h>
 #include <math.h>
Index: coeffs/ffields.h
===================================================================
--- coeffs/ffields.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/ffields.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -8,5 +8,5 @@
 * ABSTRACT: finite fields with a none-prime number of elements (via tables)
 */
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 
 // #define MAX_INT_VAL 0x7fffffff
Index: coeffs/gnumpc.cc
===================================================================
--- coeffs/gnumpc.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/gnumpc.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -9,18 +9,18 @@
 */
 
-#include "config.h"
-
-#include "coeffs.h"
-#include "numbers.h"
-#include "longrat.h"
-#include "modulop.h"
-#include "gnumpc.h"
-#include "gnumpfl.h"
-#include "mpr_complex.h"
+#include <coeffs/config.h>
+
+#include <coeffs/coeffs.h>
+#include <coeffs/numbers.h>
+#include <coeffs/longrat.h>
+#include <coeffs/modulop.h>
+#include <coeffs/gnumpc.h>
+#include <coeffs/gnumpfl.h>
+#include <coeffs/mpr_complex.h>
 #include <reporter/reporter.h>
 #include <omalloc/omalloc.h>
 
 
-#include "shortfl.h"
+#include <coeffs/shortfl.h>
 
 /// Our Type!
Index: coeffs/gnumpc.h
===================================================================
--- coeffs/gnumpc.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/gnumpc.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -8,5 +8,5 @@
 * ABSTRACT: computations with GMP floating-point numbers
 */
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 
 /// Get a mapping function from src into the domain of this type: long_C!
Index: coeffs/gnumpfl.cc
===================================================================
--- coeffs/gnumpfl.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/gnumpfl.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -9,15 +9,15 @@
 */
 
-#include "config.h"
-#include "coeffs.h"
+#include <coeffs/config.h>
+#include <coeffs/coeffs.h>
 #include <omalloc/omalloc.h>
 #include <reporter/reporter.h>
-#include "numbers.h"
-#include "modulop.h"
-#include "longrat.h"
-#include "shortfl.h"
-
-#include <gnumpfl.h>
-#include <mpr_complex.h>
+#include <coeffs/numbers.h>
+#include <coeffs/modulop.h>
+#include <coeffs/longrat.h>
+#include <coeffs/shortfl.h>
+
+#include <coeffs/gnumpfl.h>
+#include <coeffs/mpr_complex.h>
 
 extern size_t gmp_output_digits;
Index: coeffs/gnumpfl.h
===================================================================
--- coeffs/gnumpfl.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/gnumpfl.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -8,5 +8,5 @@
 * ABSTRACT: computations with GMP floating-point numbers
 */
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 
 /// Get a mapping function from src into the domain of this type: 
Index: coeffs/longrat.cc
===================================================================
--- coeffs/longrat.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/longrat.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -45,13 +45,13 @@
 #include <string.h>
 #include <float.h>
-#include "config.h"
-#include "coeffs.h"
+#include <coeffs/config.h>
+#include <coeffs/coeffs.h>
 #include <reporter/reporter.h>
 #include <omalloc/omalloc.h>
-#include "numbers.h"
-#include "modulop.h"
-#include "shortfl.h"
-#include "mpr_complex.h"
-#include "longrat.h"
+#include <coeffs/numbers.h>
+#include <coeffs/modulop.h>
+#include <coeffs/shortfl.h>
+#include <coeffs/mpr_complex.h>
+#include <coeffs/longrat.h>
 
 
Index: coeffs/longrat.h
===================================================================
--- coeffs/longrat.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/longrat.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -8,7 +8,7 @@
 * ABSTRACT: computation with long rational numbers
 */
-#include "coeffs.h"
-// #include "config.h"
-#include "si_gmp.h"
+#include <coeffs/coeffs.h>
+// #include <coeffs/config.h>
+#include <coeffs/si_gmp.h>
 #include <misc/auxiliary.h>
 #include <omalloc/omalloc.h>
Index: coeffs/longrat0.cc
===================================================================
--- coeffs/longrat0.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/longrat0.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -10,10 +10,10 @@
 #include <stdio.h>
 #include <string.h>
-#include "config.h"
+#include <coeffs/config.h>
 #include <reporter/reporter.h>
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 #include <omalloc/omalloc.h>
-#include "longrat.h"
-#include "numbers.h"
+#include <coeffs/longrat.h>
+#include <coeffs/numbers.h>
 
 #define SR_HDL(A) ((long)(A))
Index: coeffs/modulop.cc
===================================================================
--- coeffs/modulop.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/modulop.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -8,15 +8,15 @@
 
 #include <string.h>
-#include "config.h"
+#include <coeffs/config.h>
 #include <omalloc/omalloc.h>
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 #include <reporter/reporter.h>
-#include "numbers.h"
-#include "longrat.h"
-#include "mpr_complex.h"
+#include <coeffs/numbers.h>
+#include <coeffs/longrat.h>
+#include <coeffs/mpr_complex.h>
 #include <misc/mylimits.h>
-#include "modulop.h"
+#include <coeffs/modulop.h>
 #ifdef HAVE_FACTORY
-#include <factory.h>
+#include <factory/factory.h>
 #endif
 
Index: coeffs/modulop.h
===================================================================
--- coeffs/modulop.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/modulop.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -8,5 +8,5 @@
 * ABSTRACT: numbers modulo p (<=32003)
 */
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 
 // defines are in struct.h
Index: coeffs/mpr_complex.cc
===================================================================
--- coeffs/mpr_complex.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/mpr_complex.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -12,13 +12,13 @@
 // WARNING! ALWAYS use omAlloc and FreeL when alloc. memory for some char* !!
 
-#include "config.h"
+#include <coeffs/config.h>
 //#ifdef HAVE_MPR
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 #include <reporter/reporter.h>
 #include <omalloc/omalloc.h>
-#include "numbers.h"
-#include "longrat.h"
+#include <coeffs/numbers.h>
+#include <coeffs/longrat.h>
 #include <math.h>
-#include <mpr_complex.h>
+#include <coeffs/mpr_complex.h>
 
 //%s
Index: coeffs/mpr_complex.h
===================================================================
--- coeffs/mpr_complex.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/mpr_complex.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -14,6 +14,6 @@
 //-> include & define stuff
 // must have gmp version >= 2
-#include "si_gmp.h"
-#include "mpr_global.h"
+#include <coeffs/si_gmp.h>
+#include <coeffs/mpr_global.h>
 
 #define ZTOF 1
Index: coeffs/numbers.cc
===================================================================
--- coeffs/numbers.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/numbers.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -8,27 +8,26 @@
 */
 
-#include "config.h"
+#include <coeffs/config.h>
 #include <misc/auxiliary.h>
 
 
 
-#include "coeffs.h"
-
-#include "numbers.h"
+#include <coeffs/coeffs.h>
+
+#include <coeffs/numbers.h>
 
 #include <reporter/reporter.h>
 #include <omalloc/omalloc.h>
-#include "numbers.h"
-#include "longrat.h"
-#include "modulop.h"
-#include "gnumpfl.h"
-#include "gnumpc.h"
-#include "ffields.h"
-#include "shortfl.h"
-#include "longtrans.h"
+#include <coeffs/numbers.h>
+#include <coeffs/longrat.h>
+#include <coeffs/modulop.h>
+#include <coeffs/gnumpfl.h>
+#include <coeffs/gnumpc.h>
+#include <coeffs/ffields.h>
+#include <coeffs/shortfl.h>
 #ifdef HAVE_RINGS
-#include <rmodulo2m.h>
-#include <rmodulon.h>
-#include <rintegers.h>
+#include <coeffs/rmodulo2m.h>
+#include <coeffs/rmodulon.h>
+#include <coeffs/rintegers.h>
 #endif
 #include <string.h>
Index: coeffs/numbers.h
===================================================================
--- coeffs/numbers.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/numbers.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -8,5 +8,5 @@
 * ABSTRACT: interface to coefficient aritmetics
 */
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 
 #define SHORT_REAL_LENGTH 6 // use short reals for real <= 6 digits
Index: coeffs/rintegers.cc
===================================================================
--- coeffs/rintegers.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/rintegers.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -6,5 +6,5 @@
 * ABSTRACT: numbers modulo n
 */
-#include "config.h"
+#include <coeffs/config.h>
 #include <misc/auxiliary.h>
 
@@ -13,11 +13,11 @@
 #include <string.h>
 #include <misc/mylimits.h>
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 #include <reporter/reporter.h>
 #include <omalloc/omalloc.h>
-#include "numbers.h"
-#include "longrat.h"
-#include "mpr_complex.h"
-#include "rintegers.h"
+#include <coeffs/numbers.h>
+#include <coeffs/longrat.h>
+#include <coeffs/mpr_complex.h>
+#include <coeffs/rintegers.h>
 #include <coeffs/si_gmp.h>
 
Index: coeffs/rintegers.h
===================================================================
--- coeffs/rintegers.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/rintegers.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -9,5 +9,5 @@
 */
 #ifdef HAVE_RINGS
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 
 extern int nrzExp;
Index: coeffs/rmodulo2m.cc
===================================================================
--- coeffs/rmodulo2m.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/rmodulo2m.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -7,5 +7,5 @@
 */
 
-#include "config.h"
+#include <coeffs/config.h>
 #include <misc/auxiliary.h>
 
@@ -13,11 +13,11 @@
 
 #include <misc/mylimits.h>
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 #include <reporter/reporter.h>
 #include <omalloc/omalloc.h>
-#include "numbers.h"
-#include "longrat.h"
-#include "mpr_complex.h"
-#include "rmodulo2m.h"
+#include <coeffs/numbers.h>
+#include <coeffs/longrat.h>
+#include <coeffs/mpr_complex.h>
+#include <coeffs/rmodulo2m.h>
 #include <coeffs/si_gmp.h>
 
Index: coeffs/rmodulo2m.h
===================================================================
--- coeffs/rmodulo2m.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/rmodulo2m.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -10,6 +10,6 @@
 */
 #ifdef HAVE_RINGS
-#include "coeffs.h"
-#include "rintegers.h"
+#include <coeffs/coeffs.h>
+#include <coeffs/rintegers.h>
 
 #ifndef NATNUMBER
Index: coeffs/rmodulon.cc
===================================================================
--- coeffs/rmodulon.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/rmodulon.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -7,5 +7,5 @@
 */
 
-#include "config.h"
+#include <coeffs/config.h>
 #include <misc/auxiliary.h>
 
@@ -13,12 +13,12 @@
 
 #include <misc/mylimits.h>
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 #include <reporter/reporter.h>
 #include <omalloc/omalloc.h>
-#include "numbers.h"
-#include "longrat.h"
-#include "mpr_complex.h"
-#include "rmodulon.h"
-#include "si_gmp.h"
+#include <coeffs/numbers.h>
+#include <coeffs/longrat.h>
+#include <coeffs/mpr_complex.h>
+#include <coeffs/rmodulon.h>
+#include <coeffs/si_gmp.h>
 
 #include <string.h>
Index: coeffs/rmodulon.h
===================================================================
--- coeffs/rmodulon.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/rmodulon.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -9,6 +9,6 @@
 */
 #ifdef HAVE_RINGS
-#include "coeffs.h"
-#include "rintegers.h"
+#include <coeffs/coeffs.h>
+#include <coeffs/rintegers.h>
 
 #ifndef NATNUMBER
Index: coeffs/shortfl.cc
===================================================================
--- coeffs/shortfl.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/shortfl.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -8,12 +8,12 @@
 */
 
-#include "shortfl.h"
+#include <coeffs/shortfl.h>
 
 #include <string.h>
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 #include <reporter/reporter.h>
-#include "numbers.h"
-#include "longrat.h"
-#include "mpr_complex.h"
+#include <coeffs/numbers.h>
+#include <coeffs/longrat.h>
+#include <coeffs/mpr_complex.h>
 
 #include <misc/mylimits.h>
Index: coeffs/shortfl.h
===================================================================
--- coeffs/shortfl.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/shortfl.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -8,5 +8,5 @@
 */
 /* $Id$ */
-#include "coeffs.h"
+#include <coeffs/coeffs.h>
 
 
Index: coeffs/si_gmp.h
===================================================================
--- coeffs/si_gmp.h	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/si_gmp.h	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -4,5 +4,5 @@
 #define INCL_CF_GMP_H
 #ifdef HAVE_FACTORY
-#include <cf_gmp.h>
+#include <factory/cf_gmp.h>
 #else
 #if defined(__cplusplus) && defined(__GNUC__)
Index: coeffs/test.cc
===================================================================
--- coeffs/test.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ coeffs/test.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -1,20 +1,20 @@
-#include "config.h"
+#include <coeffs/config.h>
 
 #include <misc/auxiliary.h>
 
-#include <coeffs.h>
-#include <numbers.h>
+#include <coeffs/coeffs.h>
+#include <coeffs/numbers.h>
 #include <reporter/reporter.h>
 #include <omalloc/omalloc.h>
 
-#include <longrat.h>
-#include <gnumpfl.h>
-#include <gnumpc.h>
-#include <shortfl.h>
-#include <ffields.h>
-#include <modulop.h>
-#include <rmodulon.h>
-#include <rmodulo2m.h>
-#include <rintegers.h>
+#include <coeffs/longrat.h>
+#include <coeffs/gnumpfl.h>
+#include <coeffs/gnumpc.h>
+#include <coeffs/shortfl.h>
+#include <coeffs/ffields.h>
+#include <coeffs/modulop.h>
+#include <coeffs/rmodulon.h>
+#include <coeffs/rmodulo2m.h>
+#include <coeffs/rintegers.h>
 
 #include <iostream>
Index: reporter/dError.c
===================================================================
--- reporter/dError.c	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ reporter/dError.c	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -13,6 +13,6 @@
 #include <stdarg.h>
 #include <stdio.h>
-#include "config.h"
-#include "reporter.h"
+#include <reporter/config.h>
+#include <reporter/reporter.h>
 #ifdef HAVE_CONFIG_H
 #include <omalloc/omalloc.h>
Index: reporter/reporter.cc
===================================================================
--- reporter/reporter.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ reporter/reporter.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -7,5 +7,5 @@
 */
 
-#include "config.h"
+#include <reporter/config.h>
 
 #include <stdlib.h>
@@ -18,8 +18,8 @@
 
 #ifdef HAVE_PWD_H
-#include "pwd.h"
-#endif
-
-#include "reporter.h"
+#include <pwd.h>
+#endif
+
+#include <reporter/reporter.h>
 #include <omalloc/omalloc.h>
 //#include "options.h"
Index: resources/feFopen.cc
===================================================================
--- resources/feFopen.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ resources/feFopen.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -6,5 +6,5 @@
 #include <unistd.h>
 
-#include "config.h"
+#include <resources/config.h>
 
 #include <misc/auxiliary.h>
@@ -13,6 +13,6 @@
 #include <reporter/reporter.h>
 
-#include "feFopen.h"
-#include "feResource.h"
+#include <resources/feFopen.h>
+#include <resources/feResource.h>
 
 
Index: resources/feResource.cc
===================================================================
--- resources/feResource.cc	(revision c3782732bd93dd04f797ead6544eb95174bcbffe)
+++ resources/feResource.cc	(revision 2d805a7c01cfc3d6d2c79afa87d731e586dd92e2)
@@ -11,9 +11,9 @@
 #include <string.h>
 
-#include "config.h"
+#include <resources/config.h>
 
 #include <misc/auxiliary.h>
 
-#include "feResource.h"
+#include <resources/feResource.h>
 
 
